{% extends 'base.html' %}

{% block content %}


{% if messages %}  
  {% for message in messages  %}
    <div class="alert alert-success" role="alert">  
      {{ message }}
    </div>
  {% endfor %}
{% endif %}
<form class="form-inline my-5 justify-content-center" method="POST">
  <div class="form-group mx-sm-3 mb-2">
    {% csrf_token %}
    <input type="text" class="form-control" placeholder="Todo Item" name="item"/>
  </div>
  <button type="submit" class="btn btn-outline-secondary mb-2">
    Add List
  </button>
</form>
{% if items %}
<ul class="list-group w-25 justify-content-center mx-auto ">
  {% for things in items %}
  <li class="list-group-item d-flex justify-content-between align-items-center">
    <input class="mx" type="checkbox" value="" id="defaultCheck1" onclick="iscompleted()">
    {{ things.item }}
    <a href="{% url 'delete' things.id %}" class="badge badge-pill badge-danger">X</a>
  </li>
  {% endfor %}
</ul>
{% endif %}


{% endblock %}
